Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001218KdenliveUser Interfacepublic2009-10-18 11:422010-08-03 01:25
Reporterthekansas 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSKubuntu LinuxOS Version9.04
Product Version0.7.6 
Target VersionFixed in Version0.7.7 
Summary0001218: Cannot remove space in a track with group
DescriptionI am a new user of Kdenlive are excited about her operation but I have a small problem:
When I try to eliminate the space between two clips or between the first clip and the beginning of the timeline, using the options menu:
Remove Timeline-space-space
I get the message "
I'm not sure but when I used Kdenlive 7.5 This does not happen.
Now I use
Kdenlive 7.6
Ubuntu Jaunty 9.04 AMD64
Many thanks to all who can help me solve the problem
Antonio
Steps To Reproduce1) Start a new project
2) add a clip
3) add the clip to timeline wherever you want in the timeline, such as the position 00:10:00

4) try to remove space between clip end position 00:00:00

I get "cannot remove space in a track with a group"
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Fileszip file icon Kdenlive_Config_Screens.zip [^] (963,736 bytes) 2009-10-19 14:33
? file icon test.kdenlive [^] (4,069 bytes) 2009-10-20 11:05

- Relationships

-  Notes
(0004189)
j-b-m (administrator)
2009-10-19 12:03

Cannot reproduce. In Kdenlive 0.7.6, I disabled removing space in a track if there is a clip group that takes several groups (for example if you do a "split audio") because it caused timeline corruption in 0.7.5.

However, I cannot reproduce with the steps you described. If you think there is a bug, please give more details when starting from a blank project (which track, ...)
(0004190)
thekansas (reporter)
2009-10-19 14:35

Thanks for your immediate answer; really the described steps are from a new blank project, BTW I try to give you more details:
1) Start a new project with DV/DVD Widescreen PAL profile 2 Video, 1 audio tracks; thumbnails=Video
2) Generate a 10 seconds countdown clip
3) place this clip into timeline in track 0 at 00:10:00
4) try to remove space with mouse right click and selection 'Remove space'
5) I get "cannot remove space in a track with a group" on statusbar
A similar error, "cannot insert space in a track with a group" appears if I try to use the same sequence to insert space.
The MLT version is 0.4.6-0ubuntu0-jaunty2
In Kdenlive_Config_screens.zip file just uploaded there are the configuration options of Kdenlive.
If you need more details tell me wich one, I'm very interested to use Kdenlive; it's a very nice and good software
Thaks again from Antonio
(0004191)
j-b-m (administrator)
2009-10-19 18:36

I just discovered a problem with the countdown and noise generators with latest MLT, they generate invalid clips (I just fixed it in svn). Maybe that is the problem you are encountering.

Can you also reproduce the issue with a color clip?
(0004192)
thekansas (reporter)
2009-10-19 19:25

I have used the countdown clip just to avoid problem using my own clips; BTW
the problem still present with the color clip
Please fill free to ask me other tests that you think useful to solve debug the problem
(0004196)
j-b-m (administrator)
2009-10-20 11:06

I attached a sample project called test.kdenlive with just a color clip. Can you download it, open in Kdenlive and tell if you can reproduce the issue.
(0004197)
thekansas (reporter)
2009-10-20 11:45

I downloaded the file test.kdenlive but when I open it I get an error "Unexpected character".
I found, at the end of the test.kdenlive file 2 spurious lines

1)

2) Fatal error: Allowed memory size of 67108864 bytes exhausted (tried to allocate 524289 bytes) in /home/www/8864acea003f2354834d936830f18e43/web/mantis/file_download.php on line 191


 only after deleting these lines I'm able to open test.kdenlive getting just an information windows:"Document project folder is invalid, setting it to defauòt one: /home/antonio/kdenlive". Ignoring that messages I tried to remove space before the clip:
Same error as before:
"Cannot remove space in a track with group".
is really a strange problem but I am sure that with your help it will be resolved.
Thanks again
Antonio
(0004198)
j-b-m (administrator)
2009-10-20 15:45

Ok, I think I found the problem in the code. I used a boolean value that was not correctly initialized, that should now be fixed in latest svn (rev. 4051).

I also fixed a bug in Mantis that caused the error message to be included in downloaded attachments.
(0004199)
thekansas (reporter)
2009-10-20 15:50

Many thanks, I'll wait new svn
Antonio

- Issue History
Date Modified Username Field Change
2009-10-18 11:42 thekansas New Issue
2009-10-18 11:42 thekansas Build/Install Method => Distribution package
2009-10-19 12:03 j-b-m Note Added: 0004189
2009-10-19 12:03 j-b-m Status new => feedback
2009-10-19 14:33 thekansas File Added: Kdenlive_Config_Screens.zip
2009-10-19 14:35 thekansas Note Added: 0004190
2009-10-19 18:36 j-b-m Note Added: 0004191
2009-10-19 19:25 thekansas Note Added: 0004192
2009-10-20 11:05 j-b-m File Added: test.kdenlive
2009-10-20 11:06 j-b-m Note Added: 0004196
2009-10-20 11:45 thekansas Note Added: 0004197
2009-10-20 15:45 j-b-m Note Added: 0004198
2009-10-20 15:50 thekansas Note Added: 0004199
2010-08-03 01:25 ttill Assigned To => j-b-m
2010-08-03 01:25 ttill Status feedback => resolved
2010-08-03 01:25 ttill Resolution open => fixed
2010-08-03 01:25 ttill Fixed in Version => 0.7.7
2010-08-03 01:25 ttill Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker